Name:           python-arg-services
Version:        1.7.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        gRPC definitions for microservice-based argumentation machines

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source arg_services}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'arg-services' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-arg-services
Summary:        %{summary}

%description -n python3-arg-services %_description


%prep
%autosetup -p1 -n arg_services-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-arg-services -f %{pyproject_files}


%changelog
%autochangelog